> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update lead fields



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json put /lead/{leadId}
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /lead/{leadId}:
    put:
      tags:
        - Lead
      summary: Update lead fields
      parameters:
        - name: leadId
          in: path
          description: The ID of the lead to update.
          required: true
          style: simple
          schema:
            type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LeadUpdateDto'
          text/json:
            schema:
              $ref: '#/components/schemas/LeadUpdateDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/LeadUpdateDto'
      responses:
        '200':
          description: Success
components:
  schemas:
    LeadUpdateDto:
      type: object
      properties:
        starred:
          type: boolean
          nullable: true
        unread:
          type: boolean
          nullable: true
        wontRespondUntil:
          type: string
          format: date-time
          nullable: true
        fields:
          type: array
          items:
            $ref: '#/components/schemas/LeadFieldUpdateDto'
          nullable: true
      additionalProperties: false
    LeadFieldUpdateDto:
      type: object
      properties:
        field:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````